// This file is part of help.eyeo.com.
// Copyright (C) 2017 Eyeo GmbH
//
// help.eyeo.com is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// help.eyeo.com is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with help.eyeo.com.  If not, see <http://www.gnu.org/licenses/>.

/*******************************************************************************
 * Article
 ******************************************************************************/

.article.card
{
  padding: $small-space;

  @media (min-width: $phablet-breakpoint)
  {
    padding: $medium-space;
  }
}

.article-heading,
.article-browser-selector,
#no-content-for-platform-notice
{
  @extend .underlined;
  margin-bottom: 15px;
  padding-bottom: 15px;
}

.article-heading .has-pre-icon
{
  @media (max-width: $phablet-breakpoint - 1)
  {
    padding: 0;
  }
}

.article-heading .pre-icon
{
  display: none;

  @media (min-width: $phablet-breakpoint)
  {
    display: block;
    top: calc($small-space / 4); // Align icon to first line of heading
    margin-top: 0;
  }
}

.article-browser-selector
{
  @extend .clearfix;
  display: none;
}

.js .article-browser-selector
{
  display: block;
}

.article-body :last-child
{
  margin-bottom: 0;
}

/* Hide/Show content for browser
 ******************************************************************************/

.js [class^="platform-"]
{
  display: none;
}

@each $browser in $supported-browsers
{
  .js .ua-#{$browser} .platform-#{$browser}
  {
    display: block;
  }
}